from retro.game import Game

class Projectile:
    character = "*"
        
    def __init__(self, position, direction, speed):
        self.position = position
        self.direction = direction
        self.speed = speed

    def move(self, game):
        dx, dy = self.direction
        new_position = (self.position[0] + dx * self.speed, self.position[1] + dy * self.speed)
        if game.is_empty(new_position):
            self.position = new_position
        else:
            game.remove_agent(self)

    def play_turn(self,game):
        self.move(game)



    def handle_collision(self, game):
        # need to fix this at some point
        pass